<?php

namespace Bixo\Discussions\Repositories\Eloquent;

use Bixo\Discussions\Interfaces\DiscussionRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DiscussionRepository extends BaseRepository implements DiscussionRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.discussions.discussion.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.discussions.discussion.model.model');
    }
}
