<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for discussion in discussions package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  discussion module in discussions package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Discussion',
    'names'         => 'Discussions',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Discussions',
        'sub'   => 'Discussions',
        'list'  => 'List of discussions',
        'edit'  => 'Edit discussion',
        'create'    => 'Create new discussion'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'discussable_id'             => 'Please enter discussable id',
        'discussable_type'           => 'Please enter discussable type',
        'message'                    => 'Please enter message',
        'attachments'                => 'Please enter attachments',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'discussable_id'             => 'Discussable id',
        'discussable_type'           => 'Discussable type',
        'message'                    => 'Message',
        'attachments'                => 'Attachments',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'discussable_id'             => ['name' => 'Discussable id', 'data-column' => 1, 'checked'],
        'discussable_type'           => ['name' => 'Discussable type', 'data-column' => 2, 'checked'],
        'attachments'                => ['name' => 'Attachments', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Discussions',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
